Class Specialization
Points Only Tree Node
Spec for IntervalTreeNode that stores only the relevant point in each node meaning the endpoint of the interval in the list sorted by endpoints (list2) and only the beginpoint of the interval in the list sorted by beginpoints (list1).

IntervalTreeNode

Points Only Tree Node

IntervalTreeNode<TInterval, StorePointsOnly>
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

TInterval | The interval type to store in the node.

Specialization of
IntervalTreeNode
Metafunctions

Cargo | Type of additional data stored in an object. (IntervalTreeNode)
ListType | Type of lists in tree nodes. (IntervalTreeNode)
ListType | Type of lists in tree nodes. (IntervalTreeNode)
Value | Type of the items in the container. (IntervalTreeNode)

Member Functions

IntervalTreeNode | Default constructor. (IntervalTreeNode)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51